Bug 863490 - hhtp_load plugin uses wrong time command
hhtp_load plugin uses wrong time command
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
el6
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 11:15 EDT by Roland Wolters
Modified: 2012-11-28 00:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 00:06:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to point to the real time binary. (443 bytes, patch)
2012-10-05 11:15 EDT, Roland Wolters
no flags Details | Diff

  None (edit)
Description Roland Wolters 2012-10-05 11:15:50 EDT
Created attachment 622270 [details]
Patch to point to the real time binary.

Description of problem:
With the latest update to munin munin-2.0.6-2.el6.noarch the http_loadtime plugin stopped working.

Version-Release number of selected component (if applicable):
munin-2.0.6-2.el6.noarch

How reproducible:
Install munin on a machine with a webserver, watch the http_loadtime-plugin output.

Steps to Reproduce:
1. install webserver
2. install munin
3. watch output of http_loadtime-plugin (or the logs)
  
Actual results:
The logs say it all:
2012/10/05-17:00:02 [26072] Error output from http_loadtime:
2012/10/05-17:00:02 [26072]     real 0.05
2012/10/05-17:00:02 [26072]     user 0.02
2012/10/05-17:00:02 [26072]     sys 0.00

Expected results:
It should just work.

Additional info:
With the current setup, the "time" command actually calls the bash built-in time command, and *not* /usr/bin/time, as the author of the plugin most likely expected.

The added patch points to the correct time command.
Comment 1 Fedora Update System 2012-10-07 17:35:54 EDT
munin-2.0.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.fc18
Comment 2 Fedora Update System 2012-10-07 17:48:43 EDT
munin-2.0.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.fc17
Comment 3 Fedora Update System 2012-10-07 18:05:09 EDT
munin-2.0.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.fc16
Comment 4 Fedora Update System 2012-10-07 18:17:47 EDT
munin-2.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.el6
Comment 5 Fedora Update System 2012-10-07 18:26:28 EDT
munin-2.0.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.el5
Comment 6 Fedora Update System 2012-10-08 11:26:33 EDT
Package munin-2.0.7-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.7-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13098/munin-2.0.7-1.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-10-19 23:37:48 EDT
munin-2.0.7-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.el5
Comment 8 Fedora Update System 2012-10-19 23:39:07 EDT
munin-2.0.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.el6
Comment 9 Fedora Update System 2012-11-04 12:20:28 EST
munin-2.0.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-5.el6
Comment 10 Fedora Update System 2012-11-04 12:22:23 EST
munin-2.0.7-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-5.el5
Comment 11 Fedora Update System 2012-11-11 15:33:50 EST
munin-2.0.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.8-1.el6
Comment 12 Fedora Update System 2012-11-11 15:36:59 EST
munin-2.0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.8-1.el5
Comment 13 Fedora Update System 2012-11-28 00:06:37 EST
munin-2.0.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-11-28 00:09:57 EST
munin-2.0.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.